flag --develop broken with fresh install

RESOLVED FIXED

Status

RESOLVED FIXED
7 years ago
7 years ago

People

(Reporter: k0scist, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(2 attachments)

(Reporter)

Description

7 years ago
Running:

(talos)│python PerfConfigurator.py -e `which firefox` -a ts -o ts.yml --develop
(talos)│python run_tests.py ../ts.yml

I get from
http://localhost:15707/startup_test/startup_test.html?begin=1326414804515

"""
Error response

Error code 404.

Message: File not found.

Error code explanation: 404 = Nothing matches the given URI.
"""

Not sure yet what is broken here; this may be a mozbase bug.
(Reporter)

Comment 1

7 years ago
So this is because Talos is pegged to an old (actually, no particular) version of mozhttpd.  So what should happen:

- we should bump mozhttpd's version, probably to 0.2 
- (not sure if there is anything else downstream that should be bumped; as a side note we should probably get a system for this)
- we should set talos's version for mozhttpd, again probably to 0.2
(Reporter)

Comment 2

7 years ago
Oh, and 
- upload mozhttpd 0.2 to pypi
(Reporter)

Comment 3

7 years ago
Created attachment 588242 [details] [diff] [review]
bump version to 0.2
Attachment #588242 - Flags: review?(wlachance)
Comment on attachment 588242 [details] [diff] [review]
bump version to 0.2

This looks good.
Attachment #588242 - Flags: review?(wlachance) → review+
(Reporter)

Comment 5

7 years ago
Maybe its worth taking bug 709349 along with the version bump?
(Reporter)

Comment 7

7 years ago
Created attachment 588510 [details] [diff] [review]
require mozhttpd >= 0.2
Attachment #588510 - Flags: review?(jmaher)
Comment on attachment 588510 [details] [diff] [review]
require mozhttpd >= 0.2

Review of attachment 588510 [details] [diff] [review]:
-----------------------------------------------------------------

looks good.
Attachment #588510 - Flags: review?(jmaher) → review+
(Reporter)

Updated

7 years ago
Whiteboard: [talos-checkin-needed]
(Reporter)

Updated

7 years ago
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.